Package org.apache.storm.hdfs.common

## Class HdfsUtils

- java.lang.Object
- - org.apache.storm.hdfs.common.HdfsUtils

-     public class HdfsUtils
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `HdfsUtils.Pair<K,​V>` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HdfsUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ArrayList<org.apache.hadoop.fs.Path>` | `listFilesByModificationTime​(org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path directory, long olderThan)` | list files sorted by modification time that have not been modified since 'olderThan'.
    `static org.apache.hadoop.fs.FSDataOutputStream` | `tryCreateFile​(org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path file)` | Returns null if file already exists.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HdfsUtils

          public HdfsUtils()

  - ### Method Detail

    - #### listFilesByModificationTime

          public static ArrayList<org.apache.hadoop.fs.Path> listFilesByModificationTime​(org.apache.hadoop.fs.FileSystem fs,
                                                                                         org.apache.hadoop.fs.Path directory,
                                                                                         long olderThan)
                                                                                  throws IOException

      list files sorted by modification time that have not been modified since 'olderThan'. if 'olderThan' is <= 0 then the filtering is disabled
      Throws:
        `IOException`

    - #### tryCreateFile

          public static org.apache.hadoop.fs.FSDataOutputStream tryCreateFile​(org.apache.hadoop.fs.FileSystem fs,
                                                                              org.apache.hadoop.fs.Path file)
                                                                       throws IOException

      Returns null if file already exists. throws if there was unexpected problem
      Throws:
        `IOException`